local addonName = ...
local CreateFrame = CreateFrame
local DisableAddOn= DisableAddOn
local GetAddOnInfo = GetAddOnInfo

local eventFrame = CreateFrame("Frame")

local expiredAddOns = {
	"TomCats-ArathiHighlandsRares",
	"TomCats-DarkshoreRares",
	"TomCats-Mechagon",
	"TomCats-Nazjatar",
	"TomCats-Nzoth",
	"TomCats-WarfrontsCommandCenter",
	"TomCats-Complete",
	"TomCats-ChildrensWeek",
	"TomCats-HallowsEnd",
	"TomCats-LoveIsInTheAir",
	"TomCats-LunarFestival",
	"TomCats-Noblegarden"
}

local function OnEvent(_, event, arg1)
	if (event == "ADDON_LOADED") then
		if (addonName == arg1) then
			eventFrame:UnregisterEvent("ADDON_LOADED")
			for i = 1, #expiredAddOns do
				local expiredAddOn = expiredAddOns[i]
				local _, _, _, loadable = GetAddOnInfo(expiredAddOn)
				if (loadable) then
					DisableAddOn(expiredAddOn)
				end
			end
		end
	end
end
eventFrame:SetScript("OnEvent", OnEvent)
eventFrame:RegisterEvent("ADDON_LOADED")
